## ephy-shell

ephy-shell —

## Synopsis

    extern      EphyShell *ephy_shell;
    #define     EPHY_SHELL_ERROR
    enum        EphyShellError;
    enum        EphyShellStartupFlags;
    enum        EphyNewTabFlags;
    GQuark      ephy_shell_error_quark          (void);
    EphyShell*  ephy_shell_new                  (void);
    gboolean    ephy_shell_startup              (EphyShell *shell,
                                                 EphyShellStartupFlags flags,
                                                 guint32 user_time,
                                                 const char **args,
                                                 const char *string_arg,
                                                 GError **error);
    EphyTab*    ephy_shell_new_tab              (EphyShell *shell,
                                                 EphyWindow *parent_window,
                                                 EphyTab *previous_tab,
                                                 const char *url,
                                                 EphyNewTabFlags flags);
    GObject*    ephy_shell_get_session          (EphyShell *shell);
    EphyBookmarks* ephy_shell_get_bookmarks     (EphyShell *shell);
    GObject*    ephy_shell_get_toolbars_model   (EphyShell *shell,
                                                 gboolean fullscreen);
    GObject*    ephy_shell_get_extensions_manager
                                                (EphyShell *shell);
    GtkWidget*  ephy_shell_get_bookmarks_editor (EphyShell *shell);
    GtkWidget*  ephy_shell_get_history_window   (EphyShell *shell);
    GObject*    ephy_shell_get_pdm_dialog       (EphyShell *shell);
    GObject*    ephy_shell_get_prefs_dialog     (EphyShell *shell);
    GObject*    ephy_shell_get_print_setup_dialog
                                                (EphyShell *shell);

## Description

## Details

### ephy_shell

    extern EphyShell *ephy_shell;

### EPHY_SHELL_ERROR

    #define EPHY_SHELL_ERROR ephy_shell_error_quark ()

### enum EphyShellError

    typedef enum
    {
    	EPHY_SHELL_ERROR_MISSING_SERVER,
    	EPHY_SHELL_ERROR_OBJECT_REG_FAILED,
    	EPHY_SHELL_ERROR_FACTORY_REG_FAILED
    } EphyShellError;

### enum EphyShellStartupFlags

    typedef enum
    {
    	EPHY_SHELL_STARTUP_TABS			= 1 << 0,
    	EPHY_SHELL_STARTUP_EXISTING_WINDOW	= 1 << 2,
    	EPHY_SHELL_STARTUP_FULLSCREEN		= 1 << 3,
    	EPHY_SHELL_STARTUP_BOOKMARKS_EDITOR	= 1 << 4,
    	EPHY_SHELL_STARTUP_SESSION		= 1 << 5,
    	EPHY_SHELL_STARTUP_IMPORT_BOOKMARKS	= 1 << 6,
    	EPHY_SHELL_STARTUP_ADD_BOOKMARK		= 1 << 7
    } EphyShellStartupFlags;

### enum EphyNewTabFlags

    typedef enum
    {
    	/* Page types */
    	EPHY_NEW_TAB_HOME_PAGE		= 1 << 0,
    	EPHY_NEW_TAB_NEW_PAGE		= 1 << 1,
    	EPHY_NEW_TAB_OPEN_PAGE		= 1 << 2,

    	/* Page mode */
    	EPHY_NEW_TAB_FULLSCREEN_MODE	= 1 << 4,
    	EPHY_NEW_TAB_DONT_SHOW_WINDOW	= 1 << 5,

    	/* Tabs */
    	EPHY_NEW_TAB_APPEND_LAST	= 1 << 7,
    	EPHY_NEW_TAB_APPEND_AFTER	= 1 << 8,
    	EPHY_NEW_TAB_JUMP		= 1 << 9,
    	EPHY_NEW_TAB_IN_NEW_WINDOW	= 1 << 10,
    	EPHY_NEW_TAB_IN_EXISTING_WINDOW	= 1 << 11,
    } EphyNewTabFlags;

### ephy_shell_error_quark ()

    GQuark      ephy_shell_error_quark          (void);

Returns : |

### ephy_shell_new ()

    EphyShell*  ephy_shell_new                  (void);

Returns : |

### ephy_shell_startup ()

    gboolean    ephy_shell_startup              (EphyShell *shell,
                                                 EphyShellStartupFlags flags,
                                                 guint32 user_time,
                                                 const char **args,
                                                 const char *string_arg,
                                                 GError **error);

`shell` : |
`flags` : |
`user_time` : |
`args` : |
`string_arg` : |
`error` : |
Returns : |

### ephy_shell_new_tab ()

    EphyTab*    ephy_shell_new_tab              (EphyShell *shell,
                                                 EphyWindow *parent_window,
                                                 EphyTab *previous_tab,
                                                 const char *url,
                                                 EphyNewTabFlags flags);

Create a new tab and the parent window when necessary. Use this function to open urls in new window/tabs.

ReturnValue: the created EphyTab

`shell` : | a EphyShell
`parent_window` : | the target EphyWindow or `NULL`
`previous_tab` : | the referrer tab or `NULL`
`url` : | an url to load or `NULL`
`flags` : |
Returns : |

### ephy_shell_get_session ()

    GObject*    ephy_shell_get_session          (EphyShell *shell);

Returns current session.

`shell` : | the EphyShell
Returns : | the current session.

### ephy_shell_get_bookmarks ()

    EphyBookmarks* ephy_shell_get_bookmarks     (EphyShell *shell);

`shell` : |
Returns : |

### ephy_shell_get_toolbars_model ()

    GObject*    ephy_shell_get_toolbars_model   (EphyShell *shell,
                                                 gboolean fullscreen);

`shell` : |
`fullscreen` : |
Returns : |

### ephy_shell_get_extensions_manager ()

    GObject*    ephy_shell_get_extensions_manager
                                                (EphyShell *shell);

`shell` : |
Returns : |

### ephy_shell_get_bookmarks_editor ()

    GtkWidget*  ephy_shell_get_bookmarks_editor (EphyShell *shell);

`shell` : |
Returns : |

### ephy_shell_get_history_window ()

    GtkWidget*  ephy_shell_get_history_window   (EphyShell *shell);

`shell` : |
Returns : |

### ephy_shell_get_pdm_dialog ()

    GObject*    ephy_shell_get_pdm_dialog       (EphyShell *shell);

`shell` : |
Returns : |

### ephy_shell_get_prefs_dialog ()

    GObject*    ephy_shell_get_prefs_dialog     (EphyShell *shell);

`shell` : |
Returns : |

### ephy_shell_get_print_setup_dialog ()

    GObject*    ephy_shell_get_print_setup_dialog
                                                (EphyShell *shell);

`shell` : |
Returns : |